	parameter (nb=5259)
	integer*2 bx(nb),by(nb)

	open(52,file='/vega2/rhbin/badpixel.bin',status='old',
     *       access='direct',recl=nb*4+4)
	read(52,rec=1)i,bx,by
	call swap2(bx,nb*2)
	call swap2(by,nb*2)
	close (52)

	do 10 i=1,nb
10	write(*,*)'x,y:',bx(i),by(i)
	end
